/*** IDIOMAS ***/
/*.PT {
	display: none; *//*default (deixar comentado)*/
/*}*/
.EN {
	display: none;
}
.ES {
	display: none;
}

body {
	background-color: #000000;
	background-image: url("./img/fundo_site.png");
	background-position: top center;
	background-repeat: no-repeat; /* Do not repeat the image */
	background-size: cover; /* Resize the background image to cover the entire container */	
	background-attachment: fixed;
	/*width: 100vw;*/
	height: 97vh;
	/*margin-top: 3.1em;*/
	/*margin-bottom: 2.1em;*/
	/*margin-left: 1.6em;
	margin-right: 1.6em;
	margin-left: 1.6em;
	margin-right: 1.6em;*/
}
#rawHTMLs{
	font-family: 'Muli', sans-serif;
	text-align: left;
	line-height: 1.4;
	color: white;
	font-size: 15px;
	min-width: 470px;
	margin-bottom: 2em;
	padding-bottom: 15px;
	/*margin-left: -1.2em;
	margin-right: -1.2em;
	margin-top: -3.1em;*/
	/*font-smooth: always;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-smoothing: antialiased;*/
}
p {
	display: block;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
	margin-left: 0;
	margin-right: 0;
}
a, .pmh, .pmh2, .html_terms h3, .html_terms h4 {
	color: #ffcc00;
}
a {
	text-decoration: underline;
	cursor: pointer;
}
.pmh, .pmh2 {
	font-weight: bold;
}
.html_terms p, .html_terms h4 {
	text-indent: 1.7em;
}
.pmh3 {
	padding-left: 1.7em;
}
.html_terms h4 {
	font-style: italic;
}
.smaller, .inner-ul li, #tp_desc {
	font-size: 0.9em;
}
.bigger, .pmh {
	font-size: 1.1em;
}

ul {
	display: block;
	list-style-type: disc;
	margin-top: 0.2em;
	margin-bottom: 0.5em;
	margin-left: 0;
	margin-right: 0;
	padding-left: 30px;
}
li {
	display: list-item;
}
.inner-ul {
	list-style-type: circle;
}
.inner-ul li, #tp_desc {
	color: #dddddd;
}
#tp_desc, #remaining, #pcode_result {
	font-style: italic;
}
#pcode_result, #pcode_btn_wait {
	display: none;
	text-align: center;
}
#p1 {
	padding-top: 0.5em;
}
label {
	padding: 12px 5px 5px 0;
	display: inline-block;
}
.mandatory {
	color: #ff0000;
}
/* This section is required for select to be correctly formated for ios */
select {
	-webkit-appearance: none;
	-moz-appearance: none;
	-o-appearance: none;
	appearance: none;
	background-image: url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20version%3D%221.1%22%20x%3D%2212px%22%20y%3D%220px%22%20width%3D%2224px%22%20height%3D%225px%22%20viewBox%3D%220%200%206%203%22%20enable-background%3D%22new%200%200%206%203%22%20xml%3Aspace%3D%22preserve%22%20fill%3D%22%23fff%22%3E%3Cpolygon%20points%3D%225.992%2C0%202.992%2C3%20-0.008%2C0%20%22/%3E%3C/svg%3E);
	background-position: 99% center;
	background-repeat: no-repeat;
}
select::-ms-expand {
	display: none;
}
input, select, .StripeElement {
	width: 100%;
	background-color: #120000;
	color: white;
	padding: 8px 15px;
	margin: 3px 0;
	display: block;
	border: 1px solid #ccc;
	border-radius: 5px;
	box-sizing: border-box;
	font-size: 1em;
	font-family: 'Muli', sans-serif;
}
fieldset {
	width: 100%;
	color: white;
	border: 1px solid #ccc;
	border-radius: 10px;
	box-sizing: border-box;
	padding: 0px 12px 10px 22px;
}
input::placeholder, #card-extra-styles {
	color: #998888;
	/*font-style: italic;*/
}
/* Change autocomplete styles in WebKit */
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus,
.StripeElement--webkit-autofill,
.StripeElement--webkit-autofill:hover,
.StripeElement--webkit-autofill:focus,
#card-extra-styles {
	border: 1px solid #fce883;
	-webkit-text-fill-color: #fce883;
	-webkit-box-shadow: 0 0 0px 1000px #120000 inset;
	box-shadow: 0 0 0px 1000px #120000 inset;
	/*transition: background-color 5000s ease-in-out 0s;*/
}
.StripeElement--focus, *:focus { 
	outline: 5px auto -webkit-focus-ring-color;
}

/*.StripeElement--webkit-autofill {
	background: transparent !important;
}*/
input[type=submit], button, .uploadBtn {
	max-width: 100%;
	background-color: #4CAF50;
	color: white;
	padding: 10px 15px;
	margin: 8px 0;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	font-size: 1em;
	font-family: 'Muli', sans-serif;
}
input[type=submit]:hover, button:hover, .uploadBtn:hover {
	background-color: #35a039;
}
.uploadBtn, #pcode_btn {
	width:100%;
}
.backBtn, .uploadBtn {
	float:left;
}
.nextBtn, #pcode_btn {
	float:right;
}
.submitBtn {
	max-width:100%;
	font-size: 1.3em;
}
.cc button {
	width:75%;
	height:3.5em;
	font-size: 1.1em;
	margin-top: 20px;
}


/***** esconde o botao original de upload (necessario apenas para IE8, em vez de display:none) *****/
/*button.uploadBtn input[type="file"] {
	position:absolute;
	z-index:2;
	top:0;
	left:0;
	filter: alpha(opacity=0);
	-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	opacity:0;
	background-color:transparent;
	color:transparent;
}*/


div.formreg {
	border-radius: 25px;
	background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAFfzAQtAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAADUExURQAAAKd6PdoAAAABdFJOU7MSjjpQAAAACXBIWXMAABcRAAAXEQHKJvM/AAAACklEQVQYV2NgAAAAAgABo9o9lAAAAABJRU5ErkJggg==");
	max-width: 490px;
	padding: 20px;
	margin: 0px auto;
}

table, th, td {
	border-collapse: collapse;
}

.cc {
	float: left;
	width: 50%;
	margin-top: 6px;
}

.cl {
	float: left;
	width: 32%;
	margin-top: 6px;
}

.cr {
	float: left;
	width: 68%;
	margin-top: 6px;
}

.cli {
	float: left;
	width: 29%;
	margin-top: 6px;
}

.cri {
	float: left;
	width: 71%;
	margin-top: 6px;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;
}

#cpid{
	min-width: 134px; width: 40%;
}

.lang_name {
	font-size: 16pt;
	font-weight: bold;
}
.lang_sl {
	display: inline;
}
.lang_br {
	display: none;
}

pre {
	white-space: pre-wrap;
	overflow-wrap: break-word;
	font-size: 9pt;
}

/* Responsive layout - when the screen is less than 500px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 499px) {
	.cc, .cl, .cr, .cli, .cri {
		width: 100%;
		margin-top: 0;
	}
	fieldset {
		padding: 0px 12px 10px 12px;
	}
	#rawHTMLs{
		min-width: 250px;
		padding-bottom: 9px;
	}
	#cpid{
		min-width: 45px; width: 40%;
	}
	.lang_name {
		font-size: 14pt;
	}
	pre {
		font-size: 8.5pt;
	}
}
@media screen and (max-width: 399px) {
	fieldset {
		padding: 0px 9px 8px 9px;
	}
	div.formreg {
		padding: 12px;
		margin: 0px auto;
	}
	.lang_name {
		font-size: 12pt;
	}
	.lang_sl {
		display: none;
	}
	.lang_br {
		display: inline;
	}
	pre {
		font-size: 8pt;
	}
}

.StripeElement {
	min-width: 260px;
	padding: 9px 15px;
}

.error {
	display: none;
	color: #FF4444;
	animation-name: example;
	animation-duration: 0.5s;
	animation-fill-mode: forwards;
}
.error.visible {
	display: inline;
	/*opacity: 0;*/
}
.errorMsg {
	font-weight: 700;
}
@keyframes example {
	from {opacity: 0;}
	to {opacity: 1;}
}

/******************* CUSTOM CHEKBOX / RADIO ********************/

/* The container */
.contrc {
	display: block;
	position: relative;
	margin-bottom: 12px;
	cursor: pointer;
	/*font-size: 22px;*/
	padding: 3px 0px 0px 35px;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/* Hide the browser's default checkbox/radio button */
.contrc input {
	position: absolute;
	top: 25px;
	left: 9px;
	opacity: 0;
	cursor: pointer;
	height: 1px;
	width: 1px;
}

/* Create a custom checkbox and radio button */
.checkmark, .radiomark {
	position: absolute;
	top: 0;
	left: 0;
	height: 25px;
	width: 25px;
	background-color: #120000;
	/*background-color: #eee;*/
	border: 1px solid #ccc;
}
/* specifics for checkbox */
.checkmark {
	border-radius: 5px;
	cursor: pointer;
}
/* specifics for radio button */
.radiomark {
	border-radius: 50%;
}

/* When the checkbox/radio is checked, add a COLOR background */
.contrc input:checked ~ .checkmark, .contrc input:checked ~ .radiomark {
	background-color: #4CAF50;
	border: 1px solid #4CAF50;
	/*background-color: #2196F3;*/
}

/* On mouse-over, add a OTHER COLOR background */
.contrc:hover input ~ .checkmark, .contrc:hover input ~ .radiomark {
	background-color: #522525;
	/*background-color: #ccc;*/
}

/* On mouse-over checked, add a OTHER COLOR background */
.contrc:hover input:checked ~ .checkmark, .contrc:hover input:checked ~ .radiomark {
	background-color: #35a039;
	border: 1px solid #35a039;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after, .radiomark:after {
	content: "";
	position: absolute;
	display: none;
}

/* Show the checkmark/indicator when checked */
.contrc input:checked ~ .checkmark:after, .contrc input:checked ~ .radiomark:after {
	display: block;
}

/* Style the checkmark/indicator */
.contrc .checkmark:after {
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
/* Style the radio buttion indicator (dot/circle) */
.contrc .radiomark:after {
	top: 9px;
	left: 9px;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: white;
}

/************************** TERMS BOX **************************/

/* The Close Button */
.close {
	color: #998888;
	float: right;
	margin-top: -1.4em;
	font-size: 32px;
	font-weight: bold;
}

.close:hover, .close:focus {
	color: #ccaaaa;
	text-decoration: none;
	cursor: pointer;
}


/************************** LANGUAGE FLAGS **************************/

#lg_select img {
	width: 25vw;
	max-width: 102.4px;
	height: auto;
	margin-bottom: -8px;
}
#lg_select2 {
	display:none;
	text-align: right;
	margin-top: -6px;
	margin-bottom: -6px;
}
#lg_select2 img {
	width: 90%;
	max-width: 32px;
	height: auto;
}
#pagSuccess img, #pagError img {
	max-width: 102.4px;
	height: auto;
}
#selection_wait {
	display:none;
	text-align: center;
	margin-bottom: 0
}
.shadowfilter {
	cursor: pointer;
}
.shadowfilter_selected {
	-webkit-filter: drop-shadow(0px 0px 6px rgba(255, 255, 255, 0.8));
	filter: drop-shadow(0px 0px 6px rgba(255, 255, 255, 0.8));
}
.shadowfilter:hover {
	-webkit-filter: drop-shadow(0px 0px 6px rgba(0, 255, 255, 0.8));
	filter: drop-shadow(0px 0px 6px rgba(0, 255, 255, 0.8));
}
